%define	fname	tuxtype

Summary:	Educational typing tutor game starring Tux
Name:		tuxtype
Version:	1.8.3
Release:	%mkrel 6
# http://anonscm.debian.org/cgit/tux4kids/tuxtype.git
URL:		http://alioth.debian.org/frs/?group_id=31080
License:	GPLv2+
Group:		Games/Other
Source0:	%{fname}-%{version}.tar.gz
# from Debian (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792817)
Source1:	%{name}.1
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792813
Source2:	ru.po
Source3:	%{name}-russian-scripts.tar.gz
Patch1:		%{name}-%{version}-mga-add-russian-scripts.patch
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792816
Patch2:		%{name}-%{version}-mga-fix-potfiles.patch
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792815
Patch3:		%{name}-%{version}-mga-fix-editor-translations-and-buttons.patch
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792814
Patch4:		%{name}-%{version}-mga-desktop-file.patch
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=586509 and https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792812
Patch5:		%{name}-%{version}-mga-use-default-system-lang.patch
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792810
Patch6:		%{name}-%{version}-mga-fix-del-from-filelist.patch
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_Pango)
BuildRequires:	pkgconfig(SDL_net)
BuildRequires:	pkgconfig(t4k_common)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	imagemagick

%description
Tux Typing is an educational typing tutor game starring Tux, the Linux
penguin. It is graphical and requires SDL to run. This is a stable
release.

%prep
%setup -q -n %{fname}-%{version}
%autopatch -p1

# add Russian
pushd data/themes/russian
tar -xf %{SOURCE3}
popd
cp -f %{SOURCE2} po/

# Fix incorrect paths hardcoded into the source (#46417) - AdamW
sed -i -e 's,/usr/share/fonts/truetype/ttf-.*/,%{_gamesdatadir}/%{name}/fonts/,g' src/SDL_extras.c

# remove the chown command from here and handle it in the file list
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792818
sed -i '/chown root:games $(DESTDIR)$(pkglocalstatedir)\/words/d' Makefile.am

# delete POT file for force update translations ( NOTE: please keep for all new versions )
rm -f po/%{name}.pot

%build
autoreconf -vfi
%configure	--disable-rpath \
		--bindir=%{_gamesbindir} \
		--datadir=%{_datadir} \
		--localstatedir=%{_localstatedir}/lib \
		--sysconfdir=%{_sysconfdir}
%make

%install
%make_install

rm -fr %{buildroot}%{_docdir}/%{name}

# must be writable for games group (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792818)
chmod 775 %{buildroot}%{_localstatedir}/lib/%{name}/words

# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792820
install -d %{buildroot}%{_datadir}/applications
install -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -scale 16x16 %{name}.ico %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert -scale 32x32 %{name}.ico %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 48x48 %{name}.ico %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/

%find_lang %{name}

%files -f %{name}.lang
%doc doc/AUTHORS doc/ChangeLog doc/README doc/TODO doc/en/howtotheme.html
%{_sysconfdir}/%{name}
%{_gamesbindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_localstatedir}/lib/%{name}
%{_mandir}/man1/%{name}.*
%attr(-,root,games) %{_localstatedir}/lib/%{name}/words


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.8.3-6.mga8
+ Revision: 1517514
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.8.3-5.mga7
+ Revision: 1301476
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 1.8.3-4.mga6
+ Revision: 963117
- Mageia 6 Mass Rebuild

* Thu Nov 05 2015 alexl <alexl> 1.8.3-3.mga6
+ Revision: 898023
- better patch for using default system lang with workaround for deb#792812

* Fri Oct 16 2015 alexl <alexl> 1.8.3-2.mga6
+ Revision: 892076
- fix delete from filelist for "Word List Editor"
- use system language by default instead of English
- s/patch/autopatch/

* Sun Jul 19 2015 alexl <alexl> 1.8.3-1.mga6
+ Revision: 855205
- version 1.8.3
- add man page for tuxtype
- update Russian translation and scripts
- fix POT file creating and compile translations with according POT file
- fix translations and button names for Editor
- based on desktop file from upstream instead of own
- use pkgconfig for br
- fix docs installation
- directory /var/lib/tuxtype/words must be writable for games group

* Wed Nov 26 2014 alexl <alexl> 1.8.1-9.mga5
+ Revision: 799397
- add GenericName from OpenSuse
- add translations for desktop file from Mandriva and Ubuntu

* Mon Nov 17 2014 zezinho <zezinho> 1.8.1-8.mga5
+ Revision: 797730
- move data folder from games to fix locale (mga#14558)

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-7.mga5
+ Revision: 745418
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-6.mga5
+ Revision: 689989
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.8.1-5.mga4
+ Revision: 521266
- Mageia 4 Mass Rebuild

* Sat Jan 19 2013 fwang <fwang> 1.8.1-4.mga3
+ Revision: 389791
- update desktop file
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 27 2011 anaselli <anaselli> 1.8.1-2.mga1
+ Revision: 78105
- dropped mandriva from desktop file name

* Sun Mar 27 2011 anaselli <anaselli> 1.8.1-1.mga1
+ Revision: 78082
- imported package tuxtype

